
/* Work-horse macros */
#define DO_GLUE(A, B)  A##B
#define GLUE(A, B)     DO_GLUE(A, B)
#define LOBSID(ORIGID) GLUE(GLUE(GLUE(lobs_, LOBS_SPACE_DIM), d_), ORIGID)

/* RENAME TYPES */
#define lobs_range_t     LOBSID(range_t)
#define lobs_leaf_t      LOBSID(leaf_t)
#define lobs_front_end   LOBSID(front_end)

/* RENAME FUNCTIONS */
#define lobs_new_instance                    LOBSID(new_instance)
#define lobs_set_find_max_num_objects        LOBSID(set_find_max_num_objects)
#define lobs_add_object                      LOBSID(add_object)
#define lobs_move_object                     LOBSID(move_object)
#define lobs_search                          LOBSID(search)
#define lobs_search_for_boxes_overlapping_pt LOBSID(search_for_boxes_overlapping_pt)
#define lobs_first_overlapping_object        LOBSID(first_overlapping_object)
#define lobs_next_overlapping_object         LOBSID(next_overlapping_object)
#define lobs_print                           LOBSID(print)
#define lobs_free_instance                   LOBSID(free_instance)
#define lobs_num_of_objects_found            LOBSID(num_of_objects_found)
#define lobs_recycle_instance                LOBSID(recycle_instance)
