#ifndef LOBSDIMS_H
#   define LOBSDIMS_H

#ifndef LOBS_SPACE_DIM
#   error "Number of space dimensions not defined"
#else
#   if !((LOBS_SPACE_DIM==1)||(LOBS_SPACE_DIM==2)||(LOBS_SPACE_DIM==3))
#   error "Bad space dimension.  Accepted: 1, 2, or 3"
#   endif
#endif


#ifdef LOBS_PRIVATE_USE

#if LOBS_SPACE_DIM == 1
#   define REF_LIST(X, Y, Z) X
#   define REF_X(X) X
#   define REF_Y(Y) 
#   define REF_Z(Z) 
#else
#  if LOBS_SPACE_DIM == 2
#   define REF_LIST(X, Y, Z) X, Y
#   define REF_X(X) X
#   define REF_Y(Y) Y
#   define REF_Z(Z) 
#  else
#   define REF_LIST(X, Y, Z) X, Y, Z
#   define REF_X(X) X
#   define REF_Y(Y) Y
#   define REF_Z(Z) Z
#  endif
#endif

#endif /* LOBS_PRIVATE_USE */


#endif /* LOBSDIMS_H */
